%define vers 3.4
%define lname rgang
%define source0 ./%{lname}-%{vers}.tar.gz

Name: rgang
Summary: rgang
Version: %{vers}
Release: 2
License: Fermitools
Group: Applications/System
BuildRoot: /var/tmp/%{name}-buildroot
Source0: %{source0}
BuildArch: noarch
Requires: python

URL: http://www.fnal.gov/

%description
RGANG is a tool which allows one to execute commands on or distribute
files to many nodes (computers). It incorporates an algorithm to build a
tree-like structure (or "worm" structure) to allow the distribution
processing time to scale very well to 1000 or more nodes.

%prep
%setup -c -n %{name}-%{version}

%build

%install
if [[ $RPM_BUILD_ROOT != "/" ]]; then
    rm -rf $RPM_BUILD_ROOT
fi
mkdir -p ${RPM_BUILD_ROOT}/usr
cp -va ./usr ${RPM_BUILD_ROOT}

%clean
if [[ $RPM_BUILD_ROOT != "/" ]]; then
    rm -rf $RPM_BUILD_ROOT
fi

%files
%defattr(-,root,root)
%doc README RELEASE.NOTES
/usr/share/man/man8/rgang*
/usr/bin/rgang*

%changelog
* Thu Nov 21 2013   Connie Sieh <csieh@fnal.gov>  3.4-2
- Made the spec file generic.  Removed the references to CMS
- Changed the rsync to a cp so we are not dependent on rsync

* Mon Jun 10 2013   Tim Skirvin <tskirvin@fnal.gov>  3.4-1
- re-working the .spec file
- added a man page, docs are installing into /usr/share/docs

* Mon Jun 10 2013   Lisa Giachetti <lisa@fnal.gov>  3.4-1
- Made version prior to 3.4-1 

* Mon Jun 10 2013  Ron Rechenmacker   3.4
- Author of rgang 

